%global momorel 2
%global geckover 1.9.2

Summary: 3D modeling, animation, rendering and post-production
Name: blender
Version: 2.49b
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.blender.org/
Source0: http://download.blender.org/source/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}.png
Patch0: %{name}-sanitize-sys.path-48a.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: VLGothic-fonts
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: SDL-devel >= 1.2.7-11m
BuildRequires: automake17
BuildRequires: xulrunner-devel >= %{geckover}
BuildRequires: freeglut-devel
BuildRequires: freetype-devel
BuildRequires: ftgl
BuildRequires: gettext-devel >= 0.18.1.1
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libpng-devel
BuildRequires: python-devel >= 2.5-1m
BuildRequires: scons >= 0.96.93
BuildRequires: zlib-devel

%description
Blender is an open source software for 3D modeling, animation, rendering,
post-production, interactive creation and playback.

%prep
%setup -q

## workaround...
pushd extern/xvidcore/src
find . -type d -exec cp -v nasm.inc '{}' \;
popd

%patch0 -p1 -b .sanitize~

%build
export NAN_PYTHON_VERSION=2.6
export NAN_MOZILLA_INC=/usr/include/xulrunner-sdk-%{geckover}
export NAN_NO_OPENAL=true
scons WITH_BF_OPENAL='false' %{?_smp_mflags}

# for ftfont build
ln -s %{_includedir}/freetype2/freetype source/%{name}/ftfont/
ln -s %{_includedir}/ft2build.h source/%{name}/ftfont/

# %%{__make}

%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

# %%makeinstall transform='s,x,x,'

pushd ../install/linux2/

rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install %{name} %{buildroot}%{_bindir}/

cp -p *.txt ../../%{name}-%{version}/

rm -rf %{buildroot}%{_datadir}/%{name}/locale
mkdir -p %{buildroot}%{_datadir}
cp -a .%{name}/locale %{buildroot}%{_datadir}/

## install Blanguages file
# cp -f ./bin/.%{name}/.Blanguages %%{buildroot}%%{_datadir}/%%{name}/Blanguages
## make symlink of default fonts

mkdir -p %{buildroot}%{_datadir}/%{name}/fonts
ln -s %{_datadir}/fonts/vlgothic/VL-Gothic-Regular.ttf %{buildroot}%{_datadir}/%{name}/fonts/bfont.ttf

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

# install desktop file
cat >%{name}.desktop<<EOF
[Desktop Entry]
Name=%{name}
Terminal=false
Type=Application
Description=3D Modeler
Exec=%{name} -w
Icon=%{name}
Categories=Graphics;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

popd 

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING INSTALL README
%doc GPL-license.txt Python-license.txt copyright.txt release_*.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
# %%{_datadir}/%%{name}/Blanguages
%{_datadir}/%{name}/fonts
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.49b-2m)
- full rebuild for mo7 release

* Wed Aug  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49b-1m)
- update to 2.49b

* Sat Jul  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.49a-9m)
- rebuild against gettext-0.18.1.1

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.49a-8m)
- fix the path to VL-Gothic-Regular.ttf

* Mon May 31 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.49a-7m)
- fix up desktop file

* Sun May 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.49a-6m)
- rebuild against gettext-0.18

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.49a-5m)
- rebuild against libjpeg-8a

* Tue Feb  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.49a-4m)
- rebuild against xulrunner-1.9.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.49a-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Sep  2 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.49a-2m)
- rebuild against libjpeg-7

* Mon Jul  6 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.49a-1m)
- update 2.49a

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48a-3m)
- rebuild against xulrunner-1.9.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48a-2m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.48a-1m)
- update 2.48a
- add patches
  Patch0: blender-sanitize-sys.path-48a.patch
  Patch1: blender-2.48a-python26.patch

* Fri Nov  7 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.47-2m)
- [SECURITY] CVE-2008-4863
- import a security patch from Debian unstable (2.46+dfsg-6)

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.47-1m)
- update 2.47

* Tue Sep 02 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.46-2m)
- use VLGothic-fonts

* Thu May 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.46-1m)
- [SECURITY] CVE-2008-1102
- update 2.46

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.45-8m)
- rebuild against firefox-3

* Mon Apr 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-7m)
- support scons-0.98.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.45-6m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.45-5m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.45-4m)
- import gcc43 patch from Fedora devel

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-3m)
- %%NoSource -> NoSource

* Sun Nov 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.45-2m)
- rebuild against gettext-0.17

* Tue Oct 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-1m)
- update 2.45

* Tue May 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.44-1m)
- update 2.44

* Sun Apr 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.42a-4m)
- rebuild against gettext-0.16.1

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.42a-3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.42a-2m)
- require higher version of scons

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42a-1m)
- update 2.42a

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.42-5m)
- rebuild against OpenEXR-1.4.0

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.42-5m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Sun Oct 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.42-4m)
- rebuild against freeglut

* Thu Sep 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.42-3m)
- rebuild against gettext-0.15

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-2m)
- WITH_BF_OPENAL='false'

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-1m)
- update 2.42

* Mon Dec 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.40-1m)
- update 2.40
- BuildPrereq: scons >= scons-0.96.91
- BuildPrereq: mozilla-devel

* Mon Nov  7 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.32-11m)
- add gcc4 patch.
- Patch8: blender-2.32-gcc4.patch

* Sat Nov  5 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.32-10m)
- rebuild against python-2.4.2-3m

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-9m)
- rebuild against SDL-1.2.7-11m

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-8m)
- rebuild against SDL

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.32-7m)
- enable x86_64.

* Sat Dec 25 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.32-6m)
- add FTGL patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.32-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add gcc34 patch

* Mon Aug 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.32-4m)
- remove unnecessary desktop file

* Mon Aug 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-3m)
- rebuild against DirectFB-0.9.21

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-2m)
- use sazanami instead of kochi

* Mon Feb 16 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.32-1m)
- update to 2.32
- revise Patch1

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31a-3m)
- use %%find_lang macro
- use %%NoSource macro
- use autoconf-1.7
    See doc/autoconfig.txt
- and remove blender-2.31a-intern_ghost_automake.patch

* Wed Jan 14 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.31a-2m)
- enable international menu (needs ftgl libraries)
- - add Patch1,2 to build blender with source/blender/src/ftfont module 
    and use automake, autoconf
- - new Patch0 (patching Makefile.am)
- - add Patch3 to change default font and .Blanguage file path
- - - set default font path to /usr/share/blender/fonts
- - - set default font to /usr/share/blender/fonts/bfonts.ttf and 
      make it symlink to /usr/share/fonts/truetype/japanese/kochi-gothic.ttf)
- - - change name of .Blanguage file to /usr/share/blender/Blanguage
- - use latest ja.po at http://uniside.s37.xrea.com/ 
- - - (add Patch4 to remove duplicated entries)
- add some BuildRequires
- add desktop file

* Fri Jan 9 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.31a-1m)
- initial momonga rpm


